m4d_core 0.1.17

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • new64

Material4Dart Core package

For more - check out these packages:

Change Log for m4d_core

Material Design 4 Dart

Unreleased

Feature

  • IOC-Container can register Events 1b090bf
  • Added some DOM-Helper functions bfac090
  • Added ObservableProperty and ObservableList 7e0120a
  • ObservableProperty added 6e0f459

Docs

This CHANGELOG.md was generated with Changelog for Dart

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  m4d_core: ^0.1.17

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:m4d_core/m4d_core.dart';
  
Version Uploaded Documentation Archive
0.1.17 Nov 21, 2018 Go to the documentation of m4d_core 0.1.17 Download m4d_core 0.1.17 archive
0.1.15 Nov 19, 2018 Go to the documentation of m4d_core 0.1.15 Download m4d_core 0.1.15 archive
0.1.13 Nov 19, 2018 Go to the documentation of m4d_core 0.1.13 Download m4d_core 0.1.13 archive
0.1.11 Nov 13, 2018 Go to the documentation of m4d_core 0.1.11 Download m4d_core 0.1.11 archive
0.1.9 Nov 2, 2018 Go to the documentation of m4d_core 0.1.9 Download m4d_core 0.1.9 archive
0.1.5 Oct 23, 2018 Go to the documentation of m4d_core 0.1.5 Download m4d_core 0.1.5 archive
0.1.2 Oct 23, 2018 Go to the documentation of m4d_core 0.1.2 Download m4d_core 0.1.2 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
41
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
64
Learn more about scoring.

We analyzed this package on Nov 21, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.6

Platforms

Detected platforms: web

Primary library: package:m4d_core/m4d_core.dart with components: html, js.

Health suggestions

Fix lib/core/MdlConfig.dart. (-0.50 points)

Analysis of lib/core/MdlConfig.dart reported 1 hint:

line 102 col 25: Equality operator == invocation with references of unrelated types.

Fix lib/core/dom/DataAttibute.dart. (-0.50 points)

Analysis of lib/core/dom/DataAttibute.dart reported 1 hint:

line 120 col 33: 'onError' is deprecated and shouldn't be used.

Fix lib/observable/ObservableList.dart. (-0.50 points)

Analysis of lib/observable/ObservableList.dart reported 1 hint:

line 353 col 39: The generic type comment is being deprecated in favor of the real syntax.

Fix additional 15 files with analysis or formatting issues.

Additional issues in the following files:

  • lib/core/DomRenderer.dart (Run dartfmt to format lib/core/DomRenderer.dart.)
  • lib/core/MdlComponent.dart (Run dartfmt to format lib/core/MdlComponent.dart.)
  • lib/core/MdlComponentHandler.dart (Run dartfmt to format lib/core/MdlComponentHandler.dart.)
  • lib/core/MdlEventListener.dart (Run dartfmt to format lib/core/MdlEventListener.dart.)
  • lib/core/annotations.dart (Run dartfmt to format lib/core/annotations.dart.)
  • lib/core/dom/ElementProperties.dart (Run dartfmt to format lib/core/dom/ElementProperties.dart.)
  • lib/core/interfaces.dart (Run dartfmt to format lib/core/interfaces.dart.)
  • lib/core/utils.dart (Run dartfmt to format lib/core/utils.dart.)
  • lib/m4d_core.dart (Run dartfmt to format lib/m4d_core.dart.)
  • lib/m4d_ioc.dart (Run dartfmt to format lib/m4d_ioc.dart.)
  • lib/m4d_utils.dart (Run dartfmt to format lib/m4d_utils.dart.)
  • lib/observable/ObservableProperty.dart (Run dartfmt to format lib/observable/ObservableProperty.dart.)
  • lib/services.dart (Run dartfmt to format lib/services.dart.)
  • lib/utils/ConvertValue.dart (Run dartfmt to format lib/utils/ConvertValue.dart.)
  • lib/utils/StringToFunction.dart (Run dartfmt to format lib/utils/StringToFunction.dart.)

Maintenance suggestions

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use m4d_core.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
console_log_handler ^1.0.0 1.1.3
l10n ^2.0.0 2.0.15
logging >=0.11.3 <1.0.0 0.11.3+2
path ^1.4.0 1.6.2
platform_detect ^1.3.0 1.3.5
validate ^1.0.0 1.7.0
Transitive dependencies
analyzer 0.32.6 0.33.4
ansicolor 1.0.2
async 2.0.8
build_cli_annotations 1.0.0
charcode 1.1.2
collection 1.14.11
convert 2.0.2
crypto 2.0.6
csslib 0.14.6
dart_style 1.1.3 1.2.0
front_end 0.1.4+2 0.1.6+6
glob 1.1.7
html 0.13.3+3
intl 0.15.7
intl_translation 0.17.1 0.17.2
kernel 0.3.4+2 0.3.6+6
matcher 0.12.4
meta 1.1.6
optional 3.0.0+2
package_config 1.0.5
petitparser 1.7.7 2.0.2
plugin 0.2.0+3
pub_semver 1.4.2
source_span 1.4.1
stack_trace 1.9.3
string_scanner 1.0.4
typed_data 1.1.6
utf 0.9.0+5
watcher 0.9.7+10
where 4.4.0 5.1.0
yaml 2.1.15
Dev dependencies
args any 1.5.1
build_runner any
build_test any
build_web_compilers any
test any